org.springframework.dao

## Class RecoverableDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.RecoverableDataAccessException

- All Implemented Interfaces:
    Serializable

      public class RecoverableDataAccessException
      extends DataAccessException

  Data access exception thrown when a previously failed operation might be able to succeed if the application performs some recovery steps and retries the entire transaction or in the case of a distributed transaction, the transaction branch. At a minimum, the recovery operation must include closing the current connection and getting a new connection.
  Since:
    2.5
  Author:
    Thomas Risberg
  See Also:
    `SQLRecoverableException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoverableDataAccessException(String msg)` Constructor for RecoverableDataAccessException.
    `RecoverableDataAccessException(String msg, Throwable cause)` Constructor for RecoverableDataAccessException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoverableDataAccessException

          public RecoverableDataAccessException(String msg)

      Constructor for RecoverableDataAccessException.
      Parameters:
        `msg` - the detail message

    - #### RecoverableDataAccessException

          public RecoverableDataAccessException(String msg,
                                                Throwable cause)

      Constructor for RecoverableDataAccessException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause (usually from using a underlying data access API such as JDBC)